% IGTC2019 DOCUMENT CLASS - igtc2019f.cls
% 	for LaTeX version 2e
%
% WARNING: This is an unauthorized class file. It has not been thoroughly
% tested so it probably still has bugs. We will do our best to fix them when 
% found.
%
% ---------------------------------------------------------------------------
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{igtc2019f}
\LoadClass[a4paper,10pt,twocolumn]{article}

%\RequirePackage{nidanfloat}
\RequirePackage{indentfirst}
\RequirePackage{cite}
\RequirePackage{ifthen}
\RequirePackage{times}      % Loads the Times-Roman Fonts
\RequirePackage{mathptmx}    % Loads the Times-Roman Math Fonts
\RequirePackage{ifpdf}      % Needed to pick between latex and pdflatex
\RequirePackage{footmisc}%yada

%%% Font size

\renewcommand\normalsize{%
   \@setfontsize\normalsize\@ixpt{10.5}%
   \abovedisplayskip 9\p@ \@plus2\p@ \@minus4\p@
   \abovedisplayshortskip \z@ \@plus3\p@
   \belowdisplayshortskip 5.5\p@ \@plus3\p@ \@minus3\p@
   \belowdisplayskip \abovedisplayskip
   \let\@listi\@listI}
\normalsize
\renewcommand\small{%
   \@setfontsize\small\@ixpt{10.5}%
   \abovedisplayskip 8.5\p@ \@plus3\p@ \@minus4\p@
   \abovedisplayshortskip \z@ \@plus2\p@
   \belowdisplayshortskip 4\p@ \@plus2\p@ \@minus2\p@
   \belowdisplayskip \abovedisplayskip}
\renewcommand\footnotesize{%
   \@setfontsize\footnotesize\@viiipt{10}
   \abovedisplayskip 6\p@ \@plus2\p@ \@minus4\p@
   \abovedisplayshortskip \z@ \@plus\p@
   \belowdisplayshortskip 3\p@ \@plus\p@ \@minus2\p@
   \def\@listi{\leftmargin\leftmargini
               \topsep 3\p@ \@plus\p@ \@minus\p@
               \parsep \z@ 
               \itemsep \parsep}%
   \belowdisplayskip \abovedisplayskip}
\renewcommand\scriptsize{\@setfontsize\scriptsize\@viipt{8}}
\renewcommand\tiny{\@setfontsize\tiny\@vpt{6}}
\renewcommand\large{\@setfontsize\large\@xiipt{14}}
\renewcommand\Large{\@setfontsize\Large\@xivpt{18}}
\renewcommand\LARGE{\@setfontsize\LARGE\@xviipt{22}}
\renewcommand\huge{\@setfontsize\huge\@xxpt{25}}
\renewcommand\Huge{\@setfontsize\Huge\@xxvpt{30}}

%>>> modified by yada 230116
\renewcommand\footnoterule{\kern-3\p@
\hrule \@width \linewidth \kern 2.6\p@
  } % the \hrule is .4pt high

\def\footnotemod{\@ifnextchar[\@xfootnote{  %% "\footnotemod" must be called after all "\footnote{hoge}" commands are called
  % \stepcounter\@mpfn
  % \protected@xdef\@thefnmark{\thempfn}%
  % \@footnotemark
  \@footnotetextmod
  }}

\long\def\@footnotetextmod#1{\insert\footins{%
  \dimen100=15mm  % footnote height
  \dimen101=10pt  % footnote fontsize
  \multiply\dimen101 by \thefootnote
  \advance\dimen100 by -\dimen101
  %>>>dbg>>>
  % dimen100=\the\dimen100\\
  % dimen101=\the\dimen101\\
  % thefootnote=\thefootnote
  % \the\footnotesep
  %<<<dbg<<<
  \vspace{\dimen100}
  }}%

%<<< modified by yada 230116


%%% Page size

\textheight 250mm
\columnsep 10mm
\topmargin 18mm
\addtolength{\topmargin}{-1in}
\headheight 0mm
\headsep 0mm
\textwidth 180mm
\oddsidemargin 15mm
\evensidemargin 15mm
\addtolength{\oddsidemargin}{-1in}
\addtolength{\evensidemargin}{-1in}

\renewcommand{\topfraction}{1.0}
\renewcommand{\bottomfraction}{1.0}
\renewcommand{\textfraction}{0.05}
\setcounter{totalnumber}{5}
\setcounter{topnumber}{5}

\pagestyle{empty}

%%% misc
\newcommand{\authnum}[1]{${}^#1$}

%%% 1st page bottom space

\newcommand{\firstpagebottomsep}%
{
\begin{figure*}[b]
\begin{center}  
\end{center}  
\vspace{7.5mm}
\end{figure*}
}


%%% maketitle

\renewcommand\maketitle{\par
  \begingroup
  \twocolumn[\@maketitle]
  \endgroup
}

\def\@maketitle{%
  \newpage
  \null
  \vskip 15mm%
  \begin{center}%
  \let \footnote \thanks
    {\LARGE\bf \@title \par}%
    \vskip 1.5em%
    {%\large
      \lineskip .5em%
      \begin{tabular}[t]{c}%
        \@author
      \end{tabular}\par}%
      \vskip 1.5em%
    {%
      \begin{tabular}[t]{c}%
        \@affiliation%
      \end{tabular}\par}%
  \end{center}%
  \par
  \vskip 10mm
  \gdef\@affiliation{}
  \gdef\@papernumber{}
}
\long\def\affiliation#1{\long\gdef\@affiliation{#1}}
\long\def\papernumber#1{\long\gdef\@papernumber{#1}}


%%% section

\def\part{\@part}
\def\@part#1{%
     \par \vskip 4ex \begin{center}\underline{\bf \MakeUppercase{#1}}\end{center}%
     \nobreak\par }

%% \def\section{\@section}
%% \def\@section#1{\par \vspace{2ex}\noindent{\normalsize\bf #1}\nobreak\par}
%% \def\subsection#1{\par \vspace{1.5ex}\noindent\underline{\normalsize\bf #1}\nobreak\par}

\def\subsection#1{\section{\underline{#1}}}
\def\subsubsection#1{\par \vspace{1ex}{\normalsize\bf #1.}\hspace{1em}}

\def\@seccntformat#1{}

\renewcommand\thesection{}
\renewcommand\section{\@startsection{section}{1}{\z@}%
                                   {-2.0ex \@plus -1ex \@minus -.2ex}%
                                   {0.0001pt}%
                                   {\normalfont\normalsize\bfseries}}


%%% bibliography

%\def\@biblabel#1{\hspace{10mm}\hfill}
%%\def\@biblabel#1{}

\renewenvironment{thebibliography}[1]
     {\section{\underline{\refname
        \@mkboth{\MakeUppercase\refname}{\MakeUppercase\refname}}}%
      \list{\@biblabel{\@arabic\c@enumiv}}%
           {\settowidth\labelwidth{\@biblabel{#1}}%
            \leftmargin\labelwidth
            \advance\leftmargin\labelsep
            %% \if@openbib
            %%   \advance\leftmargin\bibindent
            %%   \itemindent -\bibindent
            %%   \listparindent \itemindent
               \parsep \z@
            %% \fi
            \usecounter{enumiv}%
            \let\p@enumiv\@empty
            \renewcommand\theenumiv{\@arabic\c@enumiv}}%
%%      \if@openbib
        \renewcommand\newblock{\par}%
%%      \else
%%        \renewcommand\newblock{\hskip .11em \@plus.33em \@minus.07em}%
%%      \fi
      \sloppy\clubpenalty4000\widowpenalty4000%
      \sfcode`\.=\@m}
     {\def\@noitemerr
       {\@latex@warning{Empty `thebibliography' environment}}%
      \endlist}


\def\@cite#1#2{[{#1\if@tempswa , #2\fi}]}

%%% figure

\def\fnum@figure{Fig.\thefigure}
\long\def\@makecaption#1#2{%
  \vskip\abovecaptionskip
  \sbox\@tempboxa{#1 #2}%
  \ifdim \wd\@tempboxa >\hsize
    #1 #2\par
  \else
    \global \@minipagefalse
    \hb@xt@\hsize{\hfil\box\@tempboxa\hfil}%
  \fi
  \vskip\belowcaptionskip}


  %\setlength{\footnotemargin}{0.1\linewidth}%yada
  %\setlength{\footnotemargin}{10mm}%yada
  % \footnotemargin 10mm %yada
